<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <import type="android.view.View" />

        <import type="com.lukouguoji.module_base.ui.weight.data.layout.DataLayoutType" />

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.GjcWarehouse" />

        <variable
            name="position"
            type="Integer" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_white_radius_8"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingHorizontal="15dp"
        android:paddingVertical="8dp">

        <!-- 运单号（只读） -->
        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1.5"
            enable="@{false}"
            title="@{`运单号`}"
            titleLength="@{3}"
            type="@{DataLayoutType.INPUT}"
            value="@{bean.wbNo}" />

        <!-- 件数（只读） -->
        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:layout_weight="1"
            enable="@{false}"
            title="@{`件数`}"
            titleLength="@{2}"
            type="@{DataLayoutType.INPUT}"
            value="@{String.valueOf(bean.checkInPc)}" />

        <!-- 重量（可编辑） -->
        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:layout_weight="1"
            enable="@{true}"
            hint="@{`请输入重量`}"
            inputType="@{android.text.InputType.TYPE_CLASS_NUMBER | android.text.InputType.TYPE_NUMBER_FLAG_DECIMAL}"
            title="@{`重量`}"
            titleLength="@{2}"
            type="@{DataLayoutType.INPUT}"
            value="@={bean.checkInWeightStr}" />

    </LinearLayout>
</layout>
